<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.provider-loader" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="class-names,module,argument,configuration,path,relative-to"/>
        <elem name="addr-params" value="profile,host,subsystem,provider-loader"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.providers.$provider-loader"/>
    </provides>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="path" nillable="true" stability="default"/>
        <param name="argument" nillable="true" stability="default"/>
        <param name="relative-to" nillable="true" stability="default"/>
        <param name="configuration" nillable="true" stability="default"/>
        <param name="class-names" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="module" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="provider-loader" feature-id="true"/>
    </params>
</feature-spec>